ome-xml 5.2.3

Classes | Typedefs | Functions
ome::xml::model::primitives Namespace Reference

Model primitive data types. More...

## Classes
class | Color
| An RGBA color value. More...
class | ConstrainedNumeric
| A numeric type constrained to a subrange (or subranges) of its range limits. More...
struct | ConstrainedNumericError
| Default error handler for ConstrainedNumeric. More...
struct | key_index
| Type tag for ordered map key index. More...
struct | NonNegativeFloatConstraint
| Constraint for non-negative floating point values. More...
struct | NonNegativeIntegerConstraint
| Constraint for non-negative integer values. More...
struct | order_index
| Type tag for ordered map insertion order index. More...
struct | PercentFractionConstraint
| Constraint for fractional floating point values. More...
struct | PositiveFloatConstraint
| Constraint for strictly positive floating point values. More...
struct | PositiveIntegerConstraint
| Constraint for strictly positive integer values. More...
class | Quantity
| A quantity of a defined unit. More...
struct | QuantityConverter
| Convert a quantity to a different unit. More...
struct | QuantityConverter< ome::xml::model::enums::UnitsElectricPotential, Value >
| Convert a quantity to a different unit. More...
struct | QuantityConverter< ome::xml::model::enums::UnitsFrequency, Value >
| Convert a quantity to a different unit. More...
struct | QuantityConverter< ome::xml::model::enums::UnitsLength, Value >
| Convert a quantity to a different unit. More...
struct | QuantityConverter< ome::xml::model::enums::UnitsPower, Value >
| Convert a quantity to a different unit. More...
struct | QuantityConverter< ome::xml::model::enums::UnitsPressure, Value >
| Convert a quantity to a different unit. More...
struct | QuantityConverter< ome::xml::model::enums::UnitsTemperature, Value >
| Convert a quantity to a different unit. More...
struct | QuantityConverter< ome::xml::model::enums::UnitsTime, Value >
| Convert a quantity to a different unit. More...
class | Timestamp
| An ISO-8601 timestamp. More...
class | UnitsElectricPotential
| UnitsElectricPotential enumeration. More...
class | UnitsFrequency
| UnitsFrequency enumeration. More...
class | UnitsLength
| UnitsLength enumeration. More...
class | UnitsPower
| UnitsPower enumeration. More...
class | UnitsPressure
| UnitsPressure enumeration. More...
class | UnitsTemperature
| UnitsTemperature enumeration. More...
class | UnitsTime
| UnitsTime enumeration. More...

## Typedefs
typedef ConstrainedNumeric< double, NonNegativeFloatConstraint< double > > | NonNegativeFloat
| Double-precision floating point value greater than or equal to zero.
typedef ConstrainedNumeric< int32_t, NonNegativeIntegerConstraint< int32_t > > | NonNegativeInteger
| Integer (signed 32-bit) value greater than or equal to zero.
typedef ConstrainedNumeric< int64_t, NonNegativeIntegerConstraint< int64_t > > | NonNegativeLong
| Long integer (signed 64-bit) value greater than or equal to zero.
typedef std::pair< std::string, std::string > | ordered_map_value
| Value type for ordered map (string key, string value).
typedef boost::multi_index_container< ordered_map_value, boost::multi_index::indexed_by< boost::multi_index::random_access< boost::multi_index::tag< order_index > >, boost::multi_index::hashed_non_unique< boost::multi_index::tag< key_index >, boost::multi_index::member< ordered_map_value, std::string, &ordered_map_value::first > > > > | OrderedMultimap
| Map preserving insertion order.
typedef ConstrainedNumeric< float, PercentFractionConstraint< float > > | PercentFraction
| Double-precision floating point value between 0.0 minimum and 1.0 maximum.
typedef ConstrainedNumeric< double, PositiveFloatConstraint< double > > | PositiveFloat
| Double-precision floating point value greater than zero. More...
typedef ConstrainedNumeric< int32_t, PositiveIntegerConstraint< int32_t > > | PositiveInteger
| Integer (signed 32-bit) value greater than zero. More...
typedef ConstrainedNumeric< int64_t, PositiveIntegerConstraint< int64_t > > | PositiveLong
| Long integer (signed 64-bit) value greater than zero. More...

## Functions
bool | operator== (const Color &lhs, const Color &rhs)
| Compare two Color objects for equality. More...
bool | operator== (const Color &lhs, Color::composed_type rhs)
| Compare a Color object with a composed color value for equality. More...
bool | operator== (Color::composed_type lhs, const Color &rhs)
| Compare a composed color value with a Color object for equality. More...
bool | operator== (const Color &lhs, Color::signed_type rhs)
| Compare a Color object with a signed composed color value for equality. More...
bool | operator== (Color::signed_type lhs, const Color &rhs)
| Compare a signed composed color value with a Color object for equality. More...
bool | operator!= (const Color &lhs, const Color &rhs)
| Compare two Color objects for non-equality. More...
bool | operator!= (const Color &lhs, Color::composed_type rhs)
| Compare a Color object with a composed color value for non-equality. More...
bool | operator!= (Color::composed_type lhs, const Color &rhs)
| Compare a composed color value with a Color object for non-equality. More...
bool | operator!= (const Color &lhs, Color::signed_type rhs)
| Compare a Color object with a signed composed color value for non-equality. More...
bool | operator!= (Color::signed_type lhs, const Color &rhs)
| Compare a signed composed color value with a Color object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const Color &color)
| Output Color to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, Color &color)
| Set Color from input stream. More...
template<class charT , class traits , typename N , typename C , typename E >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, ConstrainedNumeric< N, C, E > &value)
| Set constrained value from input stream. More...
template<class charT , class traits , typename N , typename C , typename E >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const ConstrainedNumeric< N, C, E > &value)
| Output constrained value to output stream. More...
template<class Unit , typename Value >
Quantity< Unit, Value > | convert (const Quantity< Unit, Value > &quantity, typename Quantity< Unit, Value >::unit_type unit)
| Convert quantity to another unit. More...
template<class charT , class traits , typename Unit , typename Value >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const Quantity< Unit, Value > &quantity)
| Output Quantity to output stream. More...
template<class charT , class traits , typename Unit , typename Value >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, Quantity< Unit, Value > &quantity)
| Set Quantity from input stream. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const Timestamp &timestamp)
| Output Timestamp to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, Timestamp &timestamp)
| Set Timestamp from input stream. More...
bool | operator== (const UnitsElectricPotential &lhs, const UnitsElectricPotential &rhs)
| Compare two UnitsElectricPotential objects for equality. More...
bool | operator== (const UnitsElectricPotential &lhs, const UnitsElectricPotential::enum_value &rhs)
| Compare UnitsElectricPotential object and enum value for equality. More...
bool | operator== (const UnitsElectricPotential::enum_value &lhs, const UnitsElectricPotential &rhs)
| Compare enum value and UnitsElectricPotential for equality. More...
bool | operator== (const UnitsElectricPotential &lhs, const std::string &rhs)
| Compare UnitsElectricPotential object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const UnitsElectricPotential &rhs)
| Compare enum string value and UnitsElectricPotential object for equality. More...
bool | operator!= (const UnitsElectricPotential &lhs, const UnitsElectricPotential &rhs)
| Compare two UnitsElectricPotential objects for non-equality. More...
bool | operator!= (const UnitsElectricPotential &lhs, const UnitsElectricPotential::enum_value &rhs)
| Compare UnitsElectricPotential object and enum value for non-equality. More...
bool | operator!= (const UnitsElectricPotential::enum_value &lhs, const UnitsElectricPotential &rhs)
| Compare enum value and UnitsElectricPotential object for non-equality. More...
bool | operator!= (const UnitsElectricPotential &lhs, const std::string &rhs)
| Compare UnitsElectricPotential object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const UnitsElectricPotential &rhs)
| Compare enum string value and UnitsElectricPotential object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const UnitsElectricPotential &enumeration)
| Output UnitsElectricPotential to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, UnitsElectricPotential &enumeration)
| Set UnitsElectricPotential from input stream. More...
bool | operator== (const UnitsFrequency &lhs, const UnitsFrequency &rhs)
| Compare two UnitsFrequency objects for equality. More...
bool | operator== (const UnitsFrequency &lhs, const UnitsFrequency::enum_value &rhs)
| Compare UnitsFrequency object and enum value for equality. More...
bool | operator== (const UnitsFrequency::enum_value &lhs, const UnitsFrequency &rhs)
| Compare enum value and UnitsFrequency for equality. More...
bool | operator== (const UnitsFrequency &lhs, const std::string &rhs)
| Compare UnitsFrequency object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const UnitsFrequency &rhs)
| Compare enum string value and UnitsFrequency object for equality. More...
bool | operator!= (const UnitsFrequency &lhs, const UnitsFrequency &rhs)
| Compare two UnitsFrequency objects for non-equality. More...
bool | operator!= (const UnitsFrequency &lhs, const UnitsFrequency::enum_value &rhs)
| Compare UnitsFrequency object and enum value for non-equality. More...
bool | operator!= (const UnitsFrequency::enum_value &lhs, const UnitsFrequency &rhs)
| Compare enum value and UnitsFrequency object for non-equality. More...
bool | operator!= (const UnitsFrequency &lhs, const std::string &rhs)
| Compare UnitsFrequency object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const UnitsFrequency &rhs)
| Compare enum string value and UnitsFrequency object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const UnitsFrequency &enumeration)
| Output UnitsFrequency to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, UnitsFrequency &enumeration)
| Set UnitsFrequency from input stream. More...
bool | operator== (const UnitsLength &lhs, const UnitsLength &rhs)
| Compare two UnitsLength objects for equality. More...
bool | operator== (const UnitsLength &lhs, const UnitsLength::enum_value &rhs)
| Compare UnitsLength object and enum value for equality. More...
bool | operator== (const UnitsLength::enum_value &lhs, const UnitsLength &rhs)
| Compare enum value and UnitsLength for equality. More...
bool | operator== (const UnitsLength &lhs, const std::string &rhs)
| Compare UnitsLength object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const UnitsLength &rhs)
| Compare enum string value and UnitsLength object for equality. More...
bool | operator!= (const UnitsLength &lhs, const UnitsLength &rhs)
| Compare two UnitsLength objects for non-equality. More...
bool | operator!= (const UnitsLength &lhs, const UnitsLength::enum_value &rhs)
| Compare UnitsLength object and enum value for non-equality. More...
bool | operator!= (const UnitsLength::enum_value &lhs, const UnitsLength &rhs)
| Compare enum value and UnitsLength object for non-equality. More...
bool | operator!= (const UnitsLength &lhs, const std::string &rhs)
| Compare UnitsLength object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const UnitsLength &rhs)
| Compare enum string value and UnitsLength object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const UnitsLength &enumeration)
| Output UnitsLength to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, UnitsLength &enumeration)
| Set UnitsLength from input stream. More...
bool | operator== (const UnitsPower &lhs, const UnitsPower &rhs)
| Compare two UnitsPower objects for equality. More...
bool | operator== (const UnitsPower &lhs, const UnitsPower::enum_value &rhs)
| Compare UnitsPower object and enum value for equality. More...
bool | operator== (const UnitsPower::enum_value &lhs, const UnitsPower &rhs)
| Compare enum value and UnitsPower for equality. More...
bool | operator== (const UnitsPower &lhs, const std::string &rhs)
| Compare UnitsPower object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const UnitsPower &rhs)
| Compare enum string value and UnitsPower object for equality. More...
bool | operator!= (const UnitsPower &lhs, const UnitsPower &rhs)
| Compare two UnitsPower objects for non-equality. More...
bool | operator!= (const UnitsPower &lhs, const UnitsPower::enum_value &rhs)
| Compare UnitsPower object and enum value for non-equality. More...
bool | operator!= (const UnitsPower::enum_value &lhs, const UnitsPower &rhs)
| Compare enum value and UnitsPower object for non-equality. More...
bool | operator!= (const UnitsPower &lhs, const std::string &rhs)
| Compare UnitsPower object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const UnitsPower &rhs)
| Compare enum string value and UnitsPower object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const UnitsPower &enumeration)
| Output UnitsPower to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, UnitsPower &enumeration)
| Set UnitsPower from input stream. More...
bool | operator== (const UnitsPressure &lhs, const UnitsPressure &rhs)
| Compare two UnitsPressure objects for equality. More...
bool | operator== (const UnitsPressure &lhs, const UnitsPressure::enum_value &rhs)
| Compare UnitsPressure object and enum value for equality. More...
bool | operator== (const UnitsPressure::enum_value &lhs, const UnitsPressure &rhs)
| Compare enum value and UnitsPressure for equality. More...
bool | operator== (const UnitsPressure &lhs, const std::string &rhs)
| Compare UnitsPressure object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const UnitsPressure &rhs)
| Compare enum string value and UnitsPressure object for equality. More...
bool | operator!= (const UnitsPressure &lhs, const UnitsPressure &rhs)
| Compare two UnitsPressure objects for non-equality. More...
bool | operator!= (const UnitsPressure &lhs, const UnitsPressure::enum_value &rhs)
| Compare UnitsPressure object and enum value for non-equality. More...
bool | operator!= (const UnitsPressure::enum_value &lhs, const UnitsPressure &rhs)
| Compare enum value and UnitsPressure object for non-equality. More...
bool | operator!= (const UnitsPressure &lhs, const std::string &rhs)
| Compare UnitsPressure object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const UnitsPressure &rhs)
| Compare enum string value and UnitsPressure object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const UnitsPressure &enumeration)
| Output UnitsPressure to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, UnitsPressure &enumeration)
| Set UnitsPressure from input stream. More...
bool | operator== (const UnitsTemperature &lhs, const UnitsTemperature &rhs)
| Compare two UnitsTemperature objects for equality. More...
bool | operator== (const UnitsTemperature &lhs, const UnitsTemperature::enum_value &rhs)
| Compare UnitsTemperature object and enum value for equality. More...
bool | operator== (const UnitsTemperature::enum_value &lhs, const UnitsTemperature &rhs)
| Compare enum value and UnitsTemperature for equality. More...
bool | operator== (const UnitsTemperature &lhs, const std::string &rhs)
| Compare UnitsTemperature object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const UnitsTemperature &rhs)
| Compare enum string value and UnitsTemperature object for equality. More...
bool | operator!= (const UnitsTemperature &lhs, const UnitsTemperature &rhs)
| Compare two UnitsTemperature objects for non-equality. More...
bool | operator!= (const UnitsTemperature &lhs, const UnitsTemperature::enum_value &rhs)
| Compare UnitsTemperature object and enum value for non-equality. More...
bool | operator!= (const UnitsTemperature::enum_value &lhs, const UnitsTemperature &rhs)
| Compare enum value and UnitsTemperature object for non-equality. More...
bool | operator!= (const UnitsTemperature &lhs, const std::string &rhs)
| Compare UnitsTemperature object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const UnitsTemperature &rhs)
| Compare enum string value and UnitsTemperature object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const UnitsTemperature &enumeration)
| Output UnitsTemperature to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, UnitsTemperature &enumeration)
| Set UnitsTemperature from input stream. More...
bool | operator== (const UnitsTime &lhs, const UnitsTime &rhs)
| Compare two UnitsTime objects for equality. More...
bool | operator== (const UnitsTime &lhs, const UnitsTime::enum_value &rhs)
| Compare UnitsTime object and enum value for equality. More...
bool | operator== (const UnitsTime::enum_value &lhs, const UnitsTime &rhs)
| Compare enum value and UnitsTime for equality. More...
bool | operator== (const UnitsTime &lhs, const std::string &rhs)
| Compare UnitsTime object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const UnitsTime &rhs)
| Compare enum string value and UnitsTime object for equality. More...
bool | operator!= (const UnitsTime &lhs, const UnitsTime &rhs)
| Compare two UnitsTime objects for non-equality. More...
bool | operator!= (const UnitsTime &lhs, const UnitsTime::enum_value &rhs)
| Compare UnitsTime object and enum value for non-equality. More...
bool | operator!= (const UnitsTime::enum_value &lhs, const UnitsTime &rhs)
| Compare enum value and UnitsTime object for non-equality. More...
bool | operator!= (const UnitsTime &lhs, const std::string &rhs)
| Compare UnitsTime object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const UnitsTime &rhs)
| Compare enum string value and UnitsTime object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const UnitsTime &enumeration)
| Output UnitsTime to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, UnitsTime &enumeration)
| Set UnitsTime from input stream. More...

## Detailed Description

Model primitive data types.

Model primitives.

All the classes in this namespace are fundamental data types used by the OME model objects, but are not themselves model objects. They map to types defined in the OME-XML schema.

## Typedef Documentation

## § PositiveFloat

typedef ConstrainedNumeric<double, PositiveFloatConstraint<double> > ome::xml::model::primitives::PositiveFloat

Double-precision floating point value greater than zero.

This value does not include zero.

## § PositiveInteger

typedef ConstrainedNumeric<int32_t, PositiveIntegerConstraint<int32_t> > ome::xml::model::primitives::PositiveInteger

Integer (signed 32-bit) value greater than zero.

This value does not include zero.

## § PositiveLong

typedef ConstrainedNumeric<int64_t, PositiveIntegerConstraint<int64_t> > ome::xml::model::primitives::PositiveLong

Long integer (signed 64-bit) value greater than zero.

This value does not include zero.

## Function Documentation

## § convert()

template<class Unit , typename Value >

Quantity<Unit, Value> ome::xml::model::primitives::convert | ( | const Quantity< Unit, Value > & | quantity,
|  | typename Quantity< Unit, Value >::unit_type | unit
| ) |  |
| inline

Convert quantity to another unit.

Parameters

  quantity | the quantity to convert.
  unit | the unit to which to convert the quantity.

Returns
  the converted quantity.

Exceptions

  std::logic | error if the unit systems are incompatible making conversion impossible.

Referenced by ome::xml::model::primitives::Quantity< Unit, Value >::operator+=(), ome::xml::model::primitives::Quantity< Unit, Value >::operator-=(), ome::xml::model::primitives::Quantity< Unit, Value >::operator<(), and ome::xml::model::primitives::Quantity< Unit, Value >::operator==().

Here is the caller graph for this function:

## § operator!=() [1/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsTemperature & | lhs,
|  | const UnitsTemperature & | rhs
| ) |  |
| inline

Compare two UnitsTemperature objects for non-equality.

Parameters

  lhs | a UnitsTemperature object.
  rhs | a UnitsTemperature object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [2/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsTemperature & | lhs,
|  | const UnitsTemperature::enum_value & | rhs
| ) |  |
| inline

Compare UnitsTemperature object and enum value for non-equality.

Parameters

  lhs | a UnitsTemperature object.
  rhs | a UnitsTemperature enum value.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [3/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsTemperature::enum_value & | lhs,
|  | const UnitsTemperature & | rhs
| ) |  |
| inline

Compare enum value and UnitsTemperature object for non-equality.

Parameters

  lhs | a UnitsTemperature enum value.
  rhs | a UnitsTemperature object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [4/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsFrequency & | lhs,
|  | const UnitsFrequency & | rhs
| ) |  |
| inline

Compare two UnitsFrequency objects for non-equality.

Parameters

  lhs | a UnitsFrequency object.
  rhs | a UnitsFrequency object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [5/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsElectricPotential & | lhs,
|  | const UnitsElectricPotential & | rhs
| ) |  |
| inline

Compare two UnitsElectricPotential objects for non-equality.

Parameters

  lhs | a UnitsElectricPotential object.
  rhs | a UnitsElectricPotential object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [6/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsPower & | lhs,
|  | const UnitsPower & | rhs
| ) |  |
| inline

Compare two UnitsPower objects for non-equality.

Parameters

  lhs | a UnitsPower object.
  rhs | a UnitsPower object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [7/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsTime & | lhs,
|  | const UnitsTime & | rhs
| ) |  |
| inline

Compare two UnitsTime objects for non-equality.

Parameters

  lhs | a UnitsTime object.
  rhs | a UnitsTime object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [8/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsTemperature & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare UnitsTemperature object and enum string value for non-equality.

Parameters

  lhs | a UnitsTemperature object.
  rhs | a UnitsTemperature enum string value.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [9/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsFrequency & | lhs,
|  | const UnitsFrequency::enum_value & | rhs
| ) |  |
| inline

Compare UnitsFrequency object and enum value for non-equality.

Parameters

  lhs | a UnitsFrequency object.
  rhs | a UnitsFrequency enum value.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [10/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsElectricPotential & | lhs,
|  | const UnitsElectricPotential::enum_value & | rhs
| ) |  |
| inline

Compare UnitsElectricPotential object and enum value for non-equality.

Parameters

  lhs | a UnitsElectricPotential object.
  rhs | a UnitsElectricPotential enum value.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [11/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsPower & | lhs,
|  | const UnitsPower::enum_value & | rhs
| ) |  |
| inline

Compare UnitsPower object and enum value for non-equality.

Parameters

  lhs | a UnitsPower object.
  rhs | a UnitsPower enum value.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [12/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsTime & | lhs,
|  | const UnitsTime::enum_value & | rhs
| ) |  |
| inline

Compare UnitsTime object and enum value for non-equality.

Parameters

  lhs | a UnitsTime object.
  rhs | a UnitsTime enum value.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [13/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsPressure & | lhs,
|  | const UnitsPressure & | rhs
| ) |  |
| inline

Compare two UnitsPressure objects for non-equality.

Parameters

  lhs | a UnitsPressure object.
  rhs | a UnitsPressure object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [14/40]

bool ome::xml::model::primitives::operator!= | ( | const std::string & | lhs,
|  | const UnitsTemperature & | rhs
| ) |  |
| inline

Compare enum string value and UnitsTemperature object for non-equality.

Parameters

  lhs | a UnitsTemperature enum string value.
  rhs | a UnitsTemperature object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [15/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsLength & | lhs,
|  | const UnitsLength & | rhs
| ) |  |
| inline

Compare two UnitsLength objects for non-equality.

Parameters

  lhs | a UnitsLength object.
  rhs | a UnitsLength object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [16/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsFrequency::enum_value & | lhs,
|  | const UnitsFrequency & | rhs
| ) |  |
| inline

Compare enum value and UnitsFrequency object for non-equality.

Parameters

  lhs | a UnitsFrequency enum value.
  rhs | a UnitsFrequency object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [17/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsElectricPotential::enum_value & | lhs,
|  | const UnitsElectricPotential & | rhs
| ) |  |
| inline

Compare enum value and UnitsElectricPotential object for non-equality.

Parameters

  lhs | a UnitsElectricPotential enum value.
  rhs | a UnitsElectricPotential object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [18/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsPower::enum_value & | lhs,
|  | const UnitsPower & | rhs
| ) |  |
| inline

Compare enum value and UnitsPower object for non-equality.

Parameters

  lhs | a UnitsPower enum value.
  rhs | a UnitsPower object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [19/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsTime::enum_value & | lhs,
|  | const UnitsTime & | rhs
| ) |  |
| inline

Compare enum value and UnitsTime object for non-equality.

Parameters

  lhs | a UnitsTime enum value.
  rhs | a UnitsTime object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [20/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsPressure & | lhs,
|  | const UnitsPressure::enum_value & | rhs
| ) |  |
| inline

Compare UnitsPressure object and enum value for non-equality.

Parameters

  lhs | a UnitsPressure object.
  rhs | a UnitsPressure enum value.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [21/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsLength & | lhs,
|  | const UnitsLength::enum_value & | rhs
| ) |  |
| inline

Compare UnitsLength object and enum value for non-equality.

Parameters

  lhs | a UnitsLength object.
  rhs | a UnitsLength enum value.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [22/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsPower & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare UnitsPower object and enum string value for non-equality.

Parameters

  lhs | a UnitsPower object.
  rhs | a UnitsPower enum string value.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [23/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsFrequency & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare UnitsFrequency object and enum string value for non-equality.

Parameters

  lhs | a UnitsFrequency object.
  rhs | a UnitsFrequency enum string value.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [24/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsElectricPotential & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare UnitsElectricPotential object and enum string value for non-equality.

Parameters

  lhs | a UnitsElectricPotential object.
  rhs | a UnitsElectricPotential enum string value.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [25/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsTime & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare UnitsTime object and enum string value for non-equality.

Parameters

  lhs | a UnitsTime object.
  rhs | a UnitsTime enum string value.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [26/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsPressure::enum_value & | lhs,
|  | const UnitsPressure & | rhs
| ) |  |
| inline

Compare enum value and UnitsPressure object for non-equality.

Parameters

  lhs | a UnitsPressure enum value.
  rhs | a UnitsPressure object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [27/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsLength::enum_value & | lhs,
|  | const UnitsLength & | rhs
| ) |  |
| inline

Compare enum value and UnitsLength object for non-equality.

Parameters

  lhs | a UnitsLength enum value.
  rhs | a UnitsLength object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [28/40]

bool ome::xml::model::primitives::operator!= | ( | const std::string & | lhs,
|  | const UnitsPower & | rhs
| ) |  |
| inline

Compare enum string value and UnitsPower object for non-equality.

Parameters

  lhs | a UnitsPower enum string value.
  rhs | a UnitsPower object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [29/40]

bool ome::xml::model::primitives::operator!= | ( | const std::string & | lhs,
|  | const UnitsFrequency & | rhs
| ) |  |
| inline

Compare enum string value and UnitsFrequency object for non-equality.

Parameters

  lhs | a UnitsFrequency enum string value.
  rhs | a UnitsFrequency object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [30/40]

bool ome::xml::model::primitives::operator!= | ( | const std::string & | lhs,
|  | const UnitsElectricPotential & | rhs
| ) |  |
| inline

Compare enum string value and UnitsElectricPotential object for non-equality.

Parameters

  lhs | a UnitsElectricPotential enum string value.
  rhs | a UnitsElectricPotential object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [31/40]

bool ome::xml::model::primitives::operator!= | ( | const std::string & | lhs,
|  | const UnitsTime & | rhs
| ) |  |
| inline

Compare enum string value and UnitsTime object for non-equality.

Parameters

  lhs | a UnitsTime enum string value.
  rhs | a UnitsTime object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [32/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsPressure & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare UnitsPressure object and enum string value for non-equality.

Parameters

  lhs | a UnitsPressure object.
  rhs | a UnitsPressure enum string value.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [33/40]

bool ome::xml::model::primitives::operator!= | ( | const UnitsLength & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare UnitsLength object and enum string value for non-equality.

Parameters

  lhs | a UnitsLength object.
  rhs | a UnitsLength enum string value.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [34/40]

bool ome::xml::model::primitives::operator!= | ( | const std::string & | lhs,
|  | const UnitsPressure & | rhs
| ) |  |
| inline

Compare enum string value and UnitsPressure object for non-equality.

Parameters

  lhs | a UnitsPressure enum string value.
  rhs | a UnitsPressure object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [35/40]

bool ome::xml::model::primitives::operator!= | ( | const std::string & | lhs,
|  | const UnitsLength & | rhs
| ) |  |
| inline

Compare enum string value and UnitsLength object for non-equality.

Parameters

  lhs | a UnitsLength enum string value.
  rhs | a UnitsLength object.

Returns
  true if the enum values are not the same, otherwise false.

## § operator!=() [36/40]

bool ome::xml::model::primitives::operator!= | ( | const Color & | lhs,
|  | const Color & | rhs
| ) |  |
| inline

Compare two Color objects for non-equality.

Parameters

  lhs | a Color object.
  rhs | a Color object.

Returns
  true if the colors are not the same, otherwise false.

## § operator!=() [37/40]

bool ome::xml::model::primitives::operator!= | ( | const Color & | lhs,
|  | Color::composed_type | rhs
| ) |  |
| inline

Compare a Color object with a composed color value for non-equality.

Parameters

  lhs | a Color object.
  rhs | a composed color value.

Returns
  true if the Color object is not the same as the color value, otherwise false.

## § operator!=() [38/40]

bool ome::xml::model::primitives::operator!= | ( | Color::composed_type | lhs,
|  | const Color & | rhs
| ) |  |
| inline

Compare a composed color value with a Color object for non-equality.

Parameters

  lhs | a composed color value.
  rhs | a Color object.

Returns
  true if the Color object is not the same as the color value, otherwise false.

## § operator!=() [39/40]

bool ome::xml::model::primitives::operator!= | ( | const Color & | lhs,
|  | Color::signed_type | rhs
| ) |  |
| inline

Compare a Color object with a signed composed color value for non-equality.

Parameters

  lhs | a Color object.
  rhs | a signed composed color value.

Returns
  true if the Color object is not the same as the color value, otherwise false.

## § operator!=() [40/40]

bool ome::xml::model::primitives::operator!= | ( | Color::signed_type | lhs,
|  | const Color & | rhs
| ) |  |
| inline

Compare a signed composed color value with a Color object for non-equality.

Parameters

  lhs | a signed composed color value.
  rhs | a Color object.

Returns
  true if the Color object is not the same as the color value, otherwise false.

## § operator<<() [1/11]

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::primitives::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const Timestamp & | timestamp
| ) |  |
| inline

Output Timestamp to output stream.

Parameters

  os | the output stream.
  timestamp | the timestamp to output.

Returns
  the output stream.

## § operator<<() [2/11]

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::primitives::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const UnitsTemperature & | enumeration
| ) |  |
| inline

Output UnitsTemperature to output stream.

Parameters

  os | the output stream.
  enumeration | the UnitsTemperature to output.

Returns
  the output stream.

## § operator<<() [3/11]

template<class charT , class traits , typename Unit , typename Value >

std::basic_ostream<charT,traits>& ome::xml::model::primitives::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const Quantity< Unit, Value > & | quantity
| ) |  |
| inline

Output Quantity to output stream.

Parameters

  os | the output stream.
  quantity | the Quantity to output.

Returns
  the output stream.

References ome::xml::model::primitives::Quantity< Unit, Value >::getValue().

## § operator<<() [4/11]

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::primitives::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const UnitsPower & | enumeration
| ) |  |
| inline

Output UnitsPower to output stream.

Parameters

  os | the output stream.
  enumeration | the UnitsPower to output.

Returns
  the output stream.

## § operator<<() [5/11]

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::primitives::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const UnitsFrequency & | enumeration
| ) |  |
| inline

Output UnitsFrequency to output stream.

Parameters

  os | the output stream.
  enumeration | the UnitsFrequency to output.

Returns
  the output stream.

## § operator<<() [6/11]

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::primitives::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const UnitsElectricPotential & | enumeration
| ) |  |
| inline

Output UnitsElectricPotential to output stream.

Parameters

  os | the output stream.
  enumeration | the UnitsElectricPotential to output.

Returns
  the output stream.

## § operator<<() [7/11]

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::primitives::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const UnitsTime & | enumeration
| ) |  |
| inline

Output UnitsTime to output stream.

Parameters

  os | the output stream.
  enumeration | the UnitsTime to output.

Returns
  the output stream.

## § operator<<() [8/11]

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::primitives::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const UnitsPressure & | enumeration
| ) |  |
| inline

Output UnitsPressure to output stream.

Parameters

  os | the output stream.
  enumeration | the UnitsPressure to output.

Returns
  the output stream.

## § operator<<() [9/11]

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::primitives::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const UnitsLength & | enumeration
| ) |  |
| inline

Output UnitsLength to output stream.

Parameters

  os | the output stream.
  enumeration | the UnitsLength to output.

Returns
  the output stream.

## § operator<<() [10/11]

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::primitives::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const Color & | color
| ) |  |
| inline

Output Color to output stream.

Parameters

  os | the output stream.
  color | the Color to output.

Returns
  the output stream.

## § operator<<() [11/11]

template<class charT , class traits , typename N , typename C , typename E >

std::basic_ostream<charT,traits>& ome::xml::model::primitives::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const ConstrainedNumeric< N, C, E > & | value
| ) |  |
| inline

Output constrained value to output stream.

Parameters

  os | the output stream.
  value | the value to output.

Returns
  the output stream.

## § operator==() [1/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsTemperature & | lhs,
|  | const UnitsTemperature & | rhs
| ) |  |
| inline

Compare two UnitsTemperature objects for equality.

Parameters

  lhs | a UnitsTemperature object.
  rhs | a UnitsTemperature object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [2/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsTemperature & | lhs,
|  | const UnitsTemperature::enum_value & | rhs
| ) |  |
| inline

Compare UnitsTemperature object and enum value for equality.

Parameters

  lhs | a UnitsTemperature object.
  rhs | a UnitsTemperature enum value.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [3/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsTemperature::enum_value & | lhs,
|  | const UnitsTemperature & | rhs
| ) |  |
| inline

Compare enum value and UnitsTemperature for equality.

Parameters

  lhs | a UnitsTemperature enum value.
  rhs | a UnitsTemperature object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [4/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsFrequency & | lhs,
|  | const UnitsFrequency & | rhs
| ) |  |
| inline

Compare two UnitsFrequency objects for equality.

Parameters

  lhs | a UnitsFrequency object.
  rhs | a UnitsFrequency object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [5/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsElectricPotential & | lhs,
|  | const UnitsElectricPotential & | rhs
| ) |  |
| inline

Compare two UnitsElectricPotential objects for equality.

Parameters

  lhs | a UnitsElectricPotential object.
  rhs | a UnitsElectricPotential object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [6/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsPower & | lhs,
|  | const UnitsPower & | rhs
| ) |  |
| inline

Compare two UnitsPower objects for equality.

Parameters

  lhs | a UnitsPower object.
  rhs | a UnitsPower object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [7/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsTime & | lhs,
|  | const UnitsTime & | rhs
| ) |  |
| inline

Compare two UnitsTime objects for equality.

Parameters

  lhs | a UnitsTime object.
  rhs | a UnitsTime object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [8/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsTemperature & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare UnitsTemperature object and enum string value for equality.

Parameters

  lhs | a UnitsTemperature object.
  rhs | a UnitsTemperature enum string value.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [9/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsFrequency & | lhs,
|  | const UnitsFrequency::enum_value & | rhs
| ) |  |
| inline

Compare UnitsFrequency object and enum value for equality.

Parameters

  lhs | a UnitsFrequency object.
  rhs | a UnitsFrequency enum value.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [10/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsElectricPotential & | lhs,
|  | const UnitsElectricPotential::enum_value & | rhs
| ) |  |
| inline

Compare UnitsElectricPotential object and enum value for equality.

Parameters

  lhs | a UnitsElectricPotential object.
  rhs | a UnitsElectricPotential enum value.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [11/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsPower & | lhs,
|  | const UnitsPower::enum_value & | rhs
| ) |  |
| inline

Compare UnitsPower object and enum value for equality.

Parameters

  lhs | a UnitsPower object.
  rhs | a UnitsPower enum value.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [12/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsTime & | lhs,
|  | const UnitsTime::enum_value & | rhs
| ) |  |
| inline

Compare UnitsTime object and enum value for equality.

Parameters

  lhs | a UnitsTime object.
  rhs | a UnitsTime enum value.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [13/40]

bool ome::xml::model::primitives::operator== | ( | const std::string & | lhs,
|  | const UnitsTemperature & | rhs
| ) |  |
| inline

Compare enum string value and UnitsTemperature object for equality.

Parameters

  lhs | a UnitsTemperature enum string value.
  rhs | a UnitsTemperature object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [14/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsPressure & | lhs,
|  | const UnitsPressure & | rhs
| ) |  |
| inline

Compare two UnitsPressure objects for equality.

Parameters

  lhs | a UnitsPressure object.
  rhs | a UnitsPressure object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [15/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsLength & | lhs,
|  | const UnitsLength & | rhs
| ) |  |
| inline

Compare two UnitsLength objects for equality.

Parameters

  lhs | a UnitsLength object.
  rhs | a UnitsLength object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [16/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsFrequency::enum_value & | lhs,
|  | const UnitsFrequency & | rhs
| ) |  |
| inline

Compare enum value and UnitsFrequency for equality.

Parameters

  lhs | a UnitsFrequency enum value.
  rhs | a UnitsFrequency object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [17/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsElectricPotential::enum_value & | lhs,
|  | const UnitsElectricPotential & | rhs
| ) |  |
| inline

Compare enum value and UnitsElectricPotential for equality.

Parameters

  lhs | a UnitsElectricPotential enum value.
  rhs | a UnitsElectricPotential object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [18/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsPower::enum_value & | lhs,
|  | const UnitsPower & | rhs
| ) |  |
| inline

Compare enum value and UnitsPower for equality.

Parameters

  lhs | a UnitsPower enum value.
  rhs | a UnitsPower object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [19/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsTime::enum_value & | lhs,
|  | const UnitsTime & | rhs
| ) |  |
| inline

Compare enum value and UnitsTime for equality.

Parameters

  lhs | a UnitsTime enum value.
  rhs | a UnitsTime object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [20/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsPressure & | lhs,
|  | const UnitsPressure::enum_value & | rhs
| ) |  |
| inline

Compare UnitsPressure object and enum value for equality.

Parameters

  lhs | a UnitsPressure object.
  rhs | a UnitsPressure enum value.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [21/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsLength & | lhs,
|  | const UnitsLength::enum_value & | rhs
| ) |  |
| inline

Compare UnitsLength object and enum value for equality.

Parameters

  lhs | a UnitsLength object.
  rhs | a UnitsLength enum value.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [22/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsPower & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare UnitsPower object and enum string value for equality.

Parameters

  lhs | a UnitsPower object.
  rhs | a UnitsPower enum string value.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [23/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsFrequency & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare UnitsFrequency object and enum string value for equality.

Parameters

  lhs | a UnitsFrequency object.
  rhs | a UnitsFrequency enum string value.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [24/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsElectricPotential & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare UnitsElectricPotential object and enum string value for equality.

Parameters

  lhs | a UnitsElectricPotential object.
  rhs | a UnitsElectricPotential enum string value.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [25/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsTime & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare UnitsTime object and enum string value for equality.

Parameters

  lhs | a UnitsTime object.
  rhs | a UnitsTime enum string value.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [26/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsPressure::enum_value & | lhs,
|  | const UnitsPressure & | rhs
| ) |  |
| inline

Compare enum value and UnitsPressure for equality.

Parameters

  lhs | a UnitsPressure enum value.
  rhs | a UnitsPressure object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [27/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsLength::enum_value & | lhs,
|  | const UnitsLength & | rhs
| ) |  |
| inline

Compare enum value and UnitsLength for equality.

Parameters

  lhs | a UnitsLength enum value.
  rhs | a UnitsLength object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [28/40]

bool ome::xml::model::primitives::operator== | ( | const std::string & | lhs,
|  | const UnitsElectricPotential & | rhs
| ) |  |
| inline

Compare enum string value and UnitsElectricPotential object for equality.

Parameters

  lhs | a UnitsElectricPotential enum string value.
  rhs | a UnitsElectricPotential object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [29/40]

bool ome::xml::model::primitives::operator== | ( | const std::string & | lhs,
|  | const UnitsFrequency & | rhs
| ) |  |
| inline

Compare enum string value and UnitsFrequency object for equality.

Parameters

  lhs | a UnitsFrequency enum string value.
  rhs | a UnitsFrequency object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [30/40]

bool ome::xml::model::primitives::operator== | ( | const std::string & | lhs,
|  | const UnitsPower & | rhs
| ) |  |
| inline

Compare enum string value and UnitsPower object for equality.

Parameters

  lhs | a UnitsPower enum string value.
  rhs | a UnitsPower object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [31/40]

bool ome::xml::model::primitives::operator== | ( | const std::string & | lhs,
|  | const UnitsTime & | rhs
| ) |  |
| inline

Compare enum string value and UnitsTime object for equality.

Parameters

  lhs | a UnitsTime enum string value.
  rhs | a UnitsTime object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [32/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsPressure & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare UnitsPressure object and enum string value for equality.

Parameters

  lhs | a UnitsPressure object.
  rhs | a UnitsPressure enum string value.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [33/40]

bool ome::xml::model::primitives::operator== | ( | const UnitsLength & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare UnitsLength object and enum string value for equality.

Parameters

  lhs | a UnitsLength object.
  rhs | a UnitsLength enum string value.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [34/40]

bool ome::xml::model::primitives::operator== | ( | const std::string & | lhs,
|  | const UnitsPressure & | rhs
| ) |  |
| inline

Compare enum string value and UnitsPressure object for equality.

Parameters

  lhs | a UnitsPressure enum string value.
  rhs | a UnitsPressure object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [35/40]

bool ome::xml::model::primitives::operator== | ( | const std::string & | lhs,
|  | const UnitsLength & | rhs
| ) |  |
| inline

Compare enum string value and UnitsLength object for equality.

Parameters

  lhs | a UnitsLength enum string value.
  rhs | a UnitsLength object.

Returns
  true if the enum values are the same, otherwise false.

## § operator==() [36/40]

bool ome::xml::model::primitives::operator== | ( | const Color & | lhs,
|  | const Color & | rhs
| ) |  |
| inline

Compare two Color objects for equality.

Parameters

  lhs | a Color object.
  rhs | a Color object.

Returns
  true if the colors are the same, otherwise false.

## § operator==() [37/40]

bool ome::xml::model::primitives::operator== | ( | const Color & | lhs,
|  | Color::composed_type | rhs
| ) |  |
| inline

Compare a Color object with a composed color value for equality.

Parameters

  lhs | a Color object.
  rhs | a composed color value.

Returns
  true if the Color object is the same as the color value, otherwise false.

## § operator==() [38/40]

bool ome::xml::model::primitives::operator== | ( | Color::composed_type | lhs,
|  | const Color & | rhs
| ) |  |
| inline

Compare a composed color value with a Color object for equality.

Parameters

  lhs | a composed color value.
  rhs | a Color object.

Returns
  true if the Color object is the same as the color value, otherwise false.

## § operator==() [39/40]

bool ome::xml::model::primitives::operator== | ( | const Color & | lhs,
|  | Color::signed_type | rhs
| ) |  |
| inline

Compare a Color object with a signed composed color value for equality.

Parameters

  lhs | a Color object.
  rhs | a signed composed color value.

Returns
  true if the Color object is the same as the color value, otherwise false.

## § operator==() [40/40]

bool ome::xml::model::primitives::operator== | ( | Color::signed_type | lhs,
|  | const Color & | rhs
| ) |  |
| inline

Compare a signed composed color value with a Color object for equality.

Parameters

  lhs | a signed composed color value.
  rhs | a Color object.

Returns
  true if the Color object is the same as the color value, otherwise false.

## § operator>>() [1/11]

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::primitives::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | Timestamp & | timestamp
| ) |  |
| inline

Set Timestamp from input stream.

Parameters

  is | the input stream.
  timestamp | the Timestamp to set.

Returns
  the input stream.

References ome::xml::model::primitives::Timestamp::Timestamp(), and ome::xml::model::primitives::Timestamp::value.

## § operator>>() [2/11]

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::primitives::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | UnitsTemperature & | enumeration
| ) |  |
| inline

Set UnitsTemperature from input stream.

Parameters

  is | the input stream.
  enumeration | the UnitsTemperature to input.

Returns
  the input stream.

References ome::xml::model::primitives::UnitsTemperature::UnitsTemperature(), and ome::xml::model::primitives::UnitsTemperature::value.

## § operator>>() [3/11]

template<class charT , class traits , typename Unit , typename Value >

std::basic_istream<charT,traits>& ome::xml::model::primitives::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | Quantity< Unit, Value > & | quantity
| ) |  |
| inline

Set Quantity from input stream.

Parameters

  is | the input stream.
  quantity | the Quantity to set.

Returns
  the input stream.

## § operator>>() [4/11]

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::primitives::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | UnitsElectricPotential & | enumeration
| ) |  |
| inline

Set UnitsElectricPotential from input stream.

Parameters

  is | the input stream.
  enumeration | the UnitsElectricPotential to input.

Returns
  the input stream.

References ome::xml::model::primitives::UnitsElectricPotential::UnitsElectricPotential(), and ome::xml::model::primitives::UnitsElectricPotential::value.

## § operator>>() [5/11]

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::primitives::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | UnitsFrequency & | enumeration
| ) |  |
| inline

Set UnitsFrequency from input stream.

Parameters

  is | the input stream.
  enumeration | the UnitsFrequency to input.

Returns
  the input stream.

References ome::xml::model::primitives::UnitsFrequency::UnitsFrequency(), and ome::xml::model::primitives::UnitsFrequency::value.

## § operator>>() [6/11]

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::primitives::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | UnitsPower & | enumeration
| ) |  |
| inline

Set UnitsPower from input stream.

Parameters

  is | the input stream.
  enumeration | the UnitsPower to input.

Returns
  the input stream.

References ome::xml::model::primitives::UnitsPower::UnitsPower(), and ome::xml::model::primitives::UnitsPower::value.

## § operator>>() [7/11]

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::primitives::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | UnitsTime & | enumeration
| ) |  |
| inline

Set UnitsTime from input stream.

Parameters

  is | the input stream.
  enumeration | the UnitsTime to input.

Returns
  the input stream.

References ome::xml::model::primitives::UnitsTime::UnitsTime(), and ome::xml::model::primitives::UnitsTime::value.

## § operator>>() [8/11]

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::primitives::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | UnitsPressure & | enumeration
| ) |  |
| inline

Set UnitsPressure from input stream.

Parameters

  is | the input stream.
  enumeration | the UnitsPressure to input.

Returns
  the input stream.

References ome::xml::model::primitives::UnitsPressure::UnitsPressure(), and ome::xml::model::primitives::UnitsPressure::value.

## § operator>>() [9/11]

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::primitives::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | UnitsLength & | enumeration
| ) |  |
| inline

Set UnitsLength from input stream.

Parameters

  is | the input stream.
  enumeration | the UnitsLength to input.

Returns
  the input stream.

References ome::xml::model::primitives::UnitsLength::UnitsLength(), and ome::xml::model::primitives::UnitsLength::value.

## § operator>>() [10/11]

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::primitives::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | Color & | color
| ) |  |
| inline

Set Color from input stream.

Parameters

  is | the input stream.
  color | the Color to set.

Returns
  the input stream.

References ome::xml::model::primitives::Color::setValue().

## § operator>>() [11/11]

template<class charT , class traits , typename N , typename C , typename E >

std::basic_istream<charT,traits>& ome::xml::model::primitives::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | ConstrainedNumeric< N, C, E > & | value
| ) |  |
| inline

Set constrained value from input stream.

Parameters

  is | the input stream.
  value | the value to set.

Returns
  the input stream.